Package Details: linux-samus4 4.16-10

Git Clone URL: https://aur.archlinux.org/linux-samus4.git (read-only, click to copy)
Package Base: linux-samus4
Description: Linux for Chromebook Pixel 2015
Upstream URL: https://github.com/raphael/linux-samus
Licenses: GPL2
Conflicts: kernel26-samus4
Provides: kernel26-samus4=4.16
Replaces: kernel26-samus4
Submitter: raphael
Maintainer: raphael (ehegnes, christianbundy)
Last Packager: raphael
Votes: 5
Popularity: 0.000000
First Submitted: 2015-06-23 06:00
Last Updated: 2018-06-02 19:56

Latest Comments

christianbundy commented on 2020-01-09 16:06

FredBezies: I noticed that you flagged because the most recent Linux kernel version is 5.4. This AUR packages tracks https://github.com/raphael/linux-samus, which has not been updated in some time (and probably should not be used now that the upstream Linux kernel supports everything we need). I'd advise you to use the mainline Linux package instead.

raphael commented on 2017-09-06 17:33

Thanks, this is now fixed.

myf commented on 2017-09-06 00:06

in the most recent build 4.13-1, the process failed after:
```
==> ERROR: A failure occurred in package_linux-samus4-headers().
Aborting...
:: failed to build linux-samus4,linux-samus4-docs,linux-samus4-headers package(s)
```
the relevant code is at https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=linux-samus4#n143

raphael commented on 2016-12-16 05:27

Thanks this is now fixed.

VerruckteFuchs commented on 2016-12-14 23:31

I'm trying to upgrade to 4.9-1, and at the end of the build step I'm getting:

DEPMOD 4.9.0-1-ph
ln: failed to create symbolic link '/home/chris/.cache/pacaur/linux-samus4/pkg/linux-samus4/lib/modules/4.9.0-ph/extramodules': No such file or directory
==> ERROR: A failure occurred in package_linux-samus4().
Aborting...
:: failed to build linux-samus4,linux-samus4-docs,linux-samus4-headers package(s)

I notice that there is a ~/.cache/pacaur/linux-samus4/pkg/linux-samus4/lib/modules/4.9.0-1-ph dir while the ../4.9.0-ph dir in the error is missing. I think editing the dir config in either the install script(s) or PKGBUILD should easily fix it.

raphael commented on 2016-08-16 18:48

Thanks, I've added lzop as a build dependency.

VerruckteFuchs commented on 2016-08-16 18:23

Installing 4.7-1 would fail for me on build(). I had not installed lzop, and apparently that was what caused the fail and abort at build(). I think it's safe to say lzop is needed as a dependency.

lord_rel commented on 2016-03-05 07:36

could you please make the description "Linux for Chromebook Pixel 2015" so people can figure what this kernel is for?
also setting the upstream url to https://github.com/raphael/linux-samus would make finding out easier